%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           grnotify
Version:        1.1.2
Release:        6%{?dist}
Summary:        Google Reader Notifier

Group:          Applications/Internet
License:        GPLv2+
URL:            http://grnotify.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}-setup.py
Patch0:         %{name}-%{version}-fixurl.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  desktop-file-utils

Requires:       gtk2 > 2.0
Requires:       python >= 2.2
Requires:       pygtk2 >= 2.0
Requires:       PyXML >= 0.8.3
Requires:       gnome-python2-extras
Requires:       notify-python >= 0.1
Requires:       pygtk2-libglade


%description
GrNotify is a simple Python written tray application that will allow you to
know when there are new items in the Google Reader.


%prep
%setup -q
%patch0 -p1 -b .fixurl
cp -p %{SOURCE2} ./setup.py

# rpmlint : "grnotify.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/grnotify/GoogleReader.py 0644"
sed -i -e "s@#!/usr/bin/python@@" GoogleReader.py


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
rm %{buildroot}%{_datadir}/applications/*.desktop

install -d %{buildroot}%{_datadir}/applications
desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}
desktop-file-install \
    --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
    %{buildroot}%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS CREDITS LICENSE README
%{_bindir}/%{name}
%{python_sitelib}/GoogleReader.py
%{python_sitelib}/GoogleReader.pyc
%{python_sitelib}/GoogleReader.pyo
%{python_sitelib}/%{name}-%{version}-*.egg-info
%{_datadir}/%{name}/*.glade
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop


%changelog
* Thu Apr 09 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.1.2-6
- Add patch for fix GReader URL

* Sat Feb 22 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.1.2-5
- Rename setup.py in grnotify-setup.py

* Sat Feb 22 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.1.2-4
- Fix vendor tag in desktop file

* Wed Feb 18 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.1.2-3
- New setup.py (Source2) proposed to the author

* Sat Feb 07 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.1.2-2
- Fix in install.py

* Thu Feb 03 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.1.2-1
- Update to 1.1.2
- Use install.py

* Thu Jan 29 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.1.1-1
- Update to 1.1.1

* Wed Jan 21 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.0.2-2
- Add an autostart

* Sun Jan 18 2009 Guillaume Kulakowski <guillaume DOT kulakowski AT fedoraproject DOT org> - 1.0.2-1
- Initial package
